AnsweredAssumed Answered

re: SelectByID2 using swSelectOptionExtensive

Question asked by Rob Edwards on Jan 4, 2018
Latest reply on Jan 6, 2018 by Josh Brady

The help file states

For SelectOption, specify swSelectOption_e.swSelectOptionDefault to indicate that the Shift key is not used during selection or specify swSelectOption_e.swSelectOptionExtensive to indicate that the Shift key is used during selection.

I have added a series of sketches to a plane and I use the following code to try and select them all and add them to a folder.  I have stepped through and observed the model.  Just the last feature and the Plane are selected.  Any idea what I'm doing wrong?

 

    With swModel.Extension
        .GetLastFeatureAdded.Select2 False, 0
        .SelectByID2 plane_name, "PLANE", 0, 0, 0, True, 0, Nothing, swSelectOption_e.swSelectOptionExtensive
    End With

Outcomes